Page MenuHomePhabricator

Fix references to git.wikimedia.org in all repos
Closed, ResolvedPublic

Description

https://github.com/search?q=org%3Awikimedia+%22git.wikimedia.org%22&type=Code

At first, those which are not handled by current redirecting rules (particularly those which have repo name without trailing .git) should be fixed. Also the origin and destination link type should be reported here for purpose to potentially add new redirecting rules.

Next step should be fixing of all other links which are redirected now (then the priority of this task can be lowered).

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/VisualEditormaster+1 -1
labs/tools/listsmaster+1 -1
pywikibot/coremaster+8 -9
analytics/geowikimaster+2 -2
operations/debs/nfsd-ldapmaster+1 -1
operations/debs/logstermaster+1 -1
analytics/kafkateemaster+1 -1
wikimedia/fundraising/dashmaster+1 -1
wikimedia/discovery/wonderboltdevelop+1 -1
operations/software/swift-utilsmaster+2 -2
wikimedia/wikimania-scholarshipsmaster+2 -2
operations/debs/mwbzutilsmaster+2 -3
analytics/wikistatsmaster+5 -5
analytics/geowikimaster+2 -2
VisualEditor/VisualEditormaster+2 -2
analytics/refinery/sourcemaster+1 -1
mediawiki/vagrantmaster+8 -8
wikimedia/fundraising/toolsmaster+1 -1
operations/software/varnish/libvmod-netmappermaster+1 -1
pywikibot/bots/drtrigonbotmaster+1 -1
oojs/uimaster+1 -1
analytics/refinery/sourcemaster+1 -1
wikimedia/wikimania-scholarshipsmaster+5 -5
mediawiki/extensions/GuidedTourmaster+3 -3
mediawiki/extensions/TemplateDatamaster+1 -1
mediawiki/extensions/PCRGUIInsertsmaster+1 -1
mediawiki/extensions/LiveTranslatemaster+1 -1
mediawiki/extensions/PipeEscapemaster+1 -1
mediawiki/extensions/ZeroBannermaster+1 -1
mediawiki/extensions/MultiBoilerplatemaster+1 -1
mediawiki/services/trending-edits/deploymaster+2 -2
mediawiki/extensions/GettingStartedmaster+1 -1
mediawiki/extensions/EditAccountmaster+1 -1
mediawiki/coremaster+1 -1
mediawiki/services/mathoid/deploymaster+1 -2
mediawiki/debianmaster+4 -4
wikimedia/discovery/experimentalmaster+1 -1
mediawiki/extensions/CirrusSearchmaster+2 -2
mediawiki/extensions/RTmaster+1 -1
mediawiki/extensions/SemanticImageInputmaster+1 -1
mediawiki/extensions/ConditionalShowSectionmaster+1 -1
mediawiki/extensions/CopyToClipboardmaster+1 -1
mediawiki/extensions/LDAPAuthorizationmaster+1 -1
mediawiki/extensions/SwiftCloudFilesmaster+1 -1
mediawiki/extensions/JSBreadCrumbsmaster+1 -1
mediawiki/extensions/PagedTiffHandlermaster+1 -1
mediawiki/extensions/SlimboxThumbsmaster+1 -1
mediawiki/extensions/CharRangeSpanmaster+1 -1
mediawiki/extensions/WikiLovemaster+2 -2
mediawiki/extensions/PageFormsmaster+1 -1
mediawiki/extensions/OpenIDmaster+1 -1
mediawiki/extensions/CongressLookupmaster+1 -1
mediawiki/extensions/WikiLexicalDatamaster+1 -1
mediawiki/extensions/SemanticImageInputmaster+3 -3
mediawiki/extensions/Tabsmaster+1 -1
mediawiki/extensions/WikiLexicalDatamaster+1 -1
operations/software/swift-utilsmaster+1 -1
mediawiki/extensions/AWSSDKmaster+1 -1
mediawiki/extensions/WikiLovemaster+2 -2
mediawiki/extensions/PageTriagemaster+3 -3
mediawiki/extensions/PdfHandlermaster+2 -2
mediawiki/extensions/GoogleGeocodemaster+1 -1
unicodejsmaster+2 -2
apps/android/java-mwapimaster+2 -2
mediawiki/extensions/CirrusSearchmaster+4 -4
mediawiki/extensions/Lingomaster+1 -1
labs/tools/crosswatchmaster+2 -2
unicodejsmaster+1 -1
wikidata/build-resourcesmaster+4 -3
mediawiki/extensions/Wikidatamaster+1 -1
mediawiki/extensions/Wikibasemaster+2 -2
wikimedia/discovery/ortizmaster+1 -1
mediawiki/extensions/CollapsibleVectormaster+1 -1
mediawiki/extensions/DeletePagesForGoodmaster+1 -1
mediawiki/skins/VectorV2master+1 -1
mediawiki/extensions/SemanticBundlemaster+17 -17
labs/tools/crosswatchmaster+1 -1
integration/raitamaster+4 -4
oojs/coremaster+1 -1
oojs/uimaster+1 -1
mediawiki/services/cxservermaster+1 -1
mediawiki/extensions/DataTransfermaster+1 -1
oojs/uimaster+1 -1
unicodejsmaster+1 -1
operations/softwaremaster+1 -1
mediawiki/skins/Vectormaster+1 -1
Show related patches Customize query in gerrit

Revisions and Commits

rWFTO wikimedia-fundraising-tools
rEPTH extension-PagedTiffHandler
rOSSU operations-software-swift-utils
rMSTED mediawiki-services-trending-edits-deploy
rEOID extension-OpenID
rMDEB mediawiki-debian
rEPCR extensions-PCRGUIInserts
rECLP extension-CongressLookup
rEMBP extension-MultiBoilerplate
rEGGC extensions-GoogleGeocode
rETAB extension-Tabs
rANGW analytics-geowiki
rEPIE extensions-PipeEscape
rEPFM extension-PageForms
rMW MediaWiki
rMWVA mediawiki/vagrant
rGOJU oojs-ui
rWWSC Wikimania Scholarships
rODNFS operations-debs-nfsd-ldap
rECTC extension-CopyToClipboard
rPWDT pywikibot-bot-drtrigonbot
rECIR CirrusSearch
rEGST extension-GettingStarted
rODBM operations-debs-logster
rEZBA extension-ZeroBanner
rEGTO extension-GuidedTour
rEPHD extension-PdfHandler
rEPTR extension-PageTriage
rEAWK extension-AWSSDK
rGUJS unicodejs
rEWLD extension-WikiLexicalData
rETDA extension-TemplateData
rEWLO extension-WikiLove
rELIN extension-Lingo
rELIT extension-LiveTranslate
rAPAJ apps-android-java-mwapi
rGMAD mediawiki-services-mathoid-deploy
rESII extension-SemanticImageInput
rANKA analytics-kafkatee
rTLST labs-tool-lists

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 389329 merged by jenkins-bot:
[mediawiki/extensions/PCRGUIInserts@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389329

Change 389328 merged by jenkins-bot:
[mediawiki/extensions/GuidedTour@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389328

@Umherirrender weird, GitHub's search shows a lot more, tho that could just be due to the search not being updated or it being cached.

https://github.com/search?q=org%3Awikimedia+%22git.wikimedia.org%22&type=Code gives 109 results, and 38 of those results are in PHP files.

Some of the extensions gets archived, see T178768 for an example.

Ah, thanks. Also could you please re-run the search? I've submitted patches for the results you pasted above, but I want to be sure I got all of them.

Looks all good now in mediawiki/extensions and mediawiki/core

Change 389652 had a related patch set uploaded (by Chad; owner: Chad):
[wikimedia/wikimania-scholarships@master] Fix a few remaining git.wikimedia.org references

https://gerrit.wikimedia.org/r/389652

demon added a subscriber: demon.Nov 7 2017, 12:10 AM

Looks all good now in mediawiki/extensions and mediawiki/core

Really? I see lots of mentions still

Change 389652 merged by jenkins-bot:
[wikimedia/wikimania-scholarships@master] Fix a few remaining git.wikimedia.org references

https://gerrit.wikimedia.org/r/389652

Change 389655 had a related patch set uploaded (by Chad; owner: Chad):
[operations/software/varnish/libvmod-netmapper@master] Swap git.wikimedia.org -> phabricator.wikimedia.org

https://gerrit.wikimedia.org/r/389655

Looks all good now in mediawiki/extensions and mediawiki/core

Really? I see lots of mentions still

I am refer to the mediawiki/extensions git repo with all its submodule. There are still extensions in the github search results, but that looks like old code, which needs to be removed from the repos.

demon added a comment.Nov 7 2017, 5:19 PM

Some of it. Not all of it. I'm slowly fixing the rest.

Change 389906 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[analytics/refinery/source@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389906

Change 389907 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[analytics/geowiki@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389907

Change 389906 merged by jenkins-bot:
[analytics/refinery/source@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389906

Change 389914 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[oojs/ui@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389914

Change 389915 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[wikimedia/fundraising/tools@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389915

Change 389918 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[pywikibot/bots/drtrigonbot@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389918

Change 389920 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[wikimedia/wikimania-scholarships@master] git,wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389920

Change 389914 merged by jenkins-bot:
[oojs/ui@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389914

Change 389921 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[mediawiki/vagrant@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389921

Change 389918 merged by Xqt:
[pywikibot/bots/drtrigonbot@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389918

Change 389655 merged by BBlack:
[operations/software/varnish/libvmod-netmapper@master] Swap git.wikimedia.org -> phabricator.wikimedia.org

https://gerrit.wikimedia.org/r/389655

Change 389920 merged by jenkins-bot:
[wikimedia/wikimania-scholarships@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389920

Change 389915 merged by jenkins-bot:
[wikimedia/fundraising/tools@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389915

Change 389921 merged by jenkins-bot:
[mediawiki/vagrant@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389921

Change 390003 had a related patch set uploaded (by Chad; owner: Chad):
[analytics/refinery/source@master] Swap git.wikimedia.org -> phabricator.wikimedia.org

https://gerrit.wikimedia.org/r/390003

Change 390006 had a related patch set uploaded (by Chad; owner: Chad):
[analytics/geowiki@master] Fix git.wikimedia.org -> phabricator.wikimedia.org

https://gerrit.wikimedia.org/r/390006

Change 390003 merged by Chad:
[analytics/refinery/source@master] Swap git.wikimedia.org -> phabricator.wikimedia.org

https://gerrit.wikimedia.org/r/390003

demon updated the task description. (Show Details)Nov 8 2017, 4:07 PM

Change 390013 had a related patch set uploaded (by Chad; owner: Chad):
[VisualEditor/VisualEditor@master] git.wikimedia.org removals

https://gerrit.wikimedia.org/r/390013

Change 390013 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] git.wikimedia.org removals

https://gerrit.wikimedia.org/r/390013

Change 390020 had a related patch set uploaded (by Chad; owner: Chad):
[maps/tilerator@master] git.wm.o -> phab.wm.o

https://gerrit.wikimedia.org/r/390020

Change 390020 abandoned by Chad:
git.wm.o -> phab.wm.o

https://gerrit.wikimedia.org/r/390020

Change 390021 had a related patch set uploaded (by Chad; owner: Chad):
[maps/tilerator@master] git.wm.o -> phab.wm.o

https://gerrit.wikimedia.org/r/390021

Change 390023 had a related patch set uploaded (by Chad; owner: Chad):
[maps/kartotherian@master] git.wm.o -> phab.wm.o

https://gerrit.wikimedia.org/r/390023

Change 390023 merged by Chad:
[maps/kartotherian@master] git.wm.o -> phab.wm.o

https://gerrit.wikimedia.org/r/390023

Change 390006 abandoned by Chad:
Fix git.wikimedia.org -> phabricator.wikimedia.org

Reason:
Ib5af27ea

https://gerrit.wikimedia.org/r/390006

Change 390026 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[operations/software/swift-utils@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390026

Change 390035 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[analytics/wikistats@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390035

Change 390035 merged by Chad:
[analytics/wikistats@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390035

Change 390043 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[operations/debs/mwbzutils@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390043

Change 390043 abandoned by TerraCodes:
git.wikimedia.org -> phab

Reason:
per chad's comment

https://gerrit.wikimedia.org/r/390043

Change 390050 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[operations/debs/nfsd-ldap@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390050

Change 390175 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[operations/debs/logster@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390175

Change 390026 merged by Filippo Giunchedi:
[operations/software/swift-utils@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390026

Change 390326 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[analytics/kafkatee@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390326

Change 390329 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[labs/tools/lists@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390329

demon added a comment.EditedNov 9 2017, 10:15 PM

As pointed out, they're part of a library and will get automatically fixed when it's next pulled in.

Change 390334 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[wikimedia/discovery/wonderbolt@develop] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390334

Change 390334 abandoned by Chad:
git.wikimedia.org -> phab

Reason:
Already did this one

https://gerrit.wikimedia.org/r/390334

Change 390336 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[wikimedia/fundraising/dash@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390336

Change 390336 merged by Chad:
[wikimedia/fundraising/dash@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390336

Change 390326 merged by Chad:
[analytics/kafkatee@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390326

Change 390175 merged by Chad:
[operations/debs/logster@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390175

Change 390050 merged by Chad:
[operations/debs/nfsd-ldap@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390050

Change 389907 merged by Chad:
[analytics/geowiki@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/389907

Change 390021 merged by Chad:
[maps/tilerator@master] git.wm.o -> phab.wm.o

https://gerrit.wikimedia.org/r/390021

demon added a comment.Nov 9 2017, 11:12 PM

Ok, so here's where we stand:

False positives (this could be due to a library that needs updating, changelog entries, or ok stuff like redirects in puppet):

  • mediawiki-debian (x6)
  • puppet (x7)
  • unicodejs
  • grunt-banana-checker
  • VisualEditor
  • analytics-limn-wikidata-data-vendor
  • phabricator-extensions
  • oojs
  • oojs-ui

Needs fixing still:

  • labs-tools-lists (patch in progress)
  • pywikibot-core
  • pywikibot-bots-drtrigonbot (same as above?)

So once these final 3 are done, we can close this.

what would be the phab version of gitblit's /feed/?
https://git.wikimedia.org/feed/pywikibot/core

demon added a comment.Nov 9 2017, 11:35 PM

There isn't an RSS feed of commits (cf: upstream T5381). Also, that code looks pretty fragile to begin with. I'd like to get a Pywikibot dev to weigh in here...

The one from drtrigonbot looks easily fixable by the author (although it's an unused code path to begin with, callers all commented out)

The one from drtrigonbot looks easily fixable by the author (although it's an unused code path to begin with, callers all commented out)

Only half of the lines are commented out tho?

Lines 90 and 97 are commented out, but 91 and 98 aren't.

demon added a comment.Nov 9 2017, 11:53 PM

I mean the callers to _get_git() and _get_git_path() are commented out, lines 152, 154, 185, 193.

I mean the callers to _get_git() and _get_git_path() are commented out, lines 152, 154, 185, 193.

Oh.

I'll fix the Pywikibot usage.

Change 390362 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[pywikibot/core@master] version: Don't rely on git.wikimedia.org

https://gerrit.wikimedia.org/r/390362

jayvdb added a subscriber: jayvdb.Nov 10 2017, 2:33 AM

Let me know if you need help with code review for pywiki

Change 390362 merged by jenkins-bot:
[pywikibot/core@master] version: Don't rely on git.wikimedia.org

https://gerrit.wikimedia.org/r/390362

mwjames removed a subscriber: mwjames.Nov 11 2017, 10:25 AM
demon closed this task as Resolved.Nov 13 2017, 6:04 PM

Everything is done other than this change up for review, the unused codepaths in drtrigonbot discussed above, and various false positives (ok stuff in puppet, changelogs mentioning it, libraries that will eventually update from their upstream).

Resolving.

Change 391137 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (d9059cd50)

https://gerrit.wikimedia.org/r/391137

Change 390329 merged by Incola:
[labs/tools/lists@master] git.wikimedia.org -> phab

https://gerrit.wikimedia.org/r/390329